Bug 1279933 - ship jenkins-job-builder for EPEL 7
ship jenkins-job-builder for EPEL 7
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-jenkins-job-builder (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ken Dreyer
Fedora Extras Quality Assurance
:
Depends On: 1185409
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-10 09:19 EST by M. Scherer
Modified: 2016-01-14 08:27 EST (History)
3 users (show)

See Also:
Fixed In Version: python-jenkins-job-builder-1.4.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 08:27:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description M. Scherer 2015-11-10 09:19:22 EST
Hi,

Could the package be built for epel 7 ?
Comment 1 Ken Dreyer 2015-11-10 22:35:05 EST
The latest version of jenkins-job-builder BuildRequires: python-six >= 1.5.2, and RHEL 7 ships python-six-1.3.0-4.el7. So we'll need to patch jenkins-job-builder to work with this older python-six version.
Comment 2 M. Scherer 2015-11-11 07:37:08 EST
Seems python-six have been updated to 1.9.0 in RHELL 7.2, cf my beta version:

$ rpm -q --qf '%{NAME} %{VERSION}\n' python-six ;  cat /etc/redhat-release 
python-six 1.9.0
Red Hat Enterprise Linux Workstation release 7.2 Beta (Maipo)
Comment 3 Ken Dreyer 2015-11-11 15:13:01 EST
When Red Hat updates python-six in a GA release of RHEL 7, and the CentOS project rebuilds it, then we can ship jenkins-job-builder in EPEL 7.
Comment 4 Paul Belanger 2015-12-22 11:08:02 EST
Anything I can do to help land this in epel7?
Comment 5 Ken Dreyer 2016-01-06 23:03:10 EST
I unified the epel7 branch with master so we can do fast-forward merges in dist-git again: http://pkgs.fedoraproject.org/cgit/rpms/python-jenkins-job-builder.git/commit/?id=12724ce32cab9ab2007f5cfa9077ec932a1bde59

Change in dist-git to support epel7: http://pkgs.fedoraproject.org/cgit/rpms/python-jenkins-job-builder.git/commit/?id=7ef0f22c6591191e8b66300862ef9c2af008819e

Koji build and bodhi update inbound
Comment 6 Fedora Update System 2016-01-06 23:07:02 EST
python-jenkins-job-builder-1.4.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5fff6fd1ea
Comment 7 Paul Belanger 2016-01-07 09:55:47 EST
\o/

Excellent! I'll start testing once it lands.
Comment 8 Ken Dreyer 2016-01-07 10:17:00 EST
Cool, thanks Paul
Comment 9 Fedora Update System 2016-01-08 16:24:13 EST
python-jenkins-job-builder-1.4.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5fff6fd1ea
Comment 10 Paul Belanger 2016-01-13 12:56:09 EST
Just tested, looks good!
Comment 11 Fedora Update System 2016-01-14 08:27:29 EST
python-jenkins-job-builder-1.4.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.